# Release notes for project erlang-tls


CHANGELOG
---------

### 1.0.1

* app.src version repaired

### 1.0.0


* VFS-1389 Return {error, closed} on UNEXPECTED_RECORD.
* VFS-1361 Update Jiffy to 0.14.4
* VFS-1255 Fix compilation errors under GCC.
* VFS-1255 Search for `golang-go` in addition to `go` in BoringSSL.
* VFS-1158 Implement configurable TLS verification.
* VFS-1160 Implement changes for integration with oneclient.
* VFS-1160 Prepare erlang-tls C++ library for embedding.
* VFS-1159 Fix unit tests errors.
* Fix compilation on Linux/GCC.
* VFS-1161 Move to io_service-per-thread architecture.
* VFS-1161 Introduce BoringSSL.
* VFS-1162 Document bandwidthCap.cpp and bandwidth.erl
* VFS-1161 Revert benchmark changes.
* VFS-1161 Remove deprecated asio::io_service::work.
* VFS-1161 Move back to a single-threaded io_service.
* VFS-1162 Fix benchmark active.
* VFS-1161 Enable multiple threads.
* VFS-1161 Make Callback class noncopyable.
* VFS-1161 Change success/error callbacks to a callback object.
* VFS-1162 Replace boost::asio with asio 1.11.0 .
* VFS-1161 Move gtest & gmock to a deps/ subdirectory.
* VFS-1162 Add a full benchmark suite with JSON output.
* VFS-1162 Add a comparative bandwidth benchmark.
* VFS-1162 Implement a raw C++ reference benchmark.
* VFS-1126 Add multi-client benchmark capability.
* VFS-1145 Tighten up function specs.
* VFS-1126 Fix ssl2:recv spec.
* VFS-1145 Add a benchmark script.
* VFS-1126 Increase buffer size to 10 KB.
* VFS-1126 Set nodelay on server socket.
* VFS-1145 Run the application on a single management thread.
* VFS-1126 Enable building and using the library on OS X.
* VFS-1126 Fix module documentation.
* VFS-1126 Add 'doc' makefile target.
* VFS-1126 Spec ssl2:certificate_chain.
* VFS-1126 Fix send/recv return when connection is closed.
* VFS-1126 Translate string errors to atoms.
* VFS-1126 Add ssl2:certificate_chain method.
* VFS-1126 Add makefile.
* VFS-1125 Translate 'eof' error reason to 'closed' on the top level.
* VFS-1126 Return {error, atom} for standard errors.
* VFS-1126 Implement ssl2:sockname for acceptor.
* VFS-1126 Document C++ code.
* VFS-1126 Document remaining Erlang modules.
* VFS-1126 Document ssl2_receiver module.
* VFS-1126 Document ssl2_nif module.
* VFS-1126 Make sure all socket ops happen in strand.
* VFS-1126 Add shutdown function.
* VFS-1126 Document ssl2 module.
* VFS-1126 Spec all functions.
* VFS-1126 Expose certificate chain to Erlang.
* VFS-1126 Add close method.
* VFS-1126 Implement sockname and peername.
* VFS-1126 Implement controlling_process method.
* VFS-1126 Clean up ssl2_sender code.
* VFS-1126 Clean up ssl2_receiver code.
* VFS-1126 Implement {packet, 0 | 1 | 2 | 4}.
* VFS-1127 Test ssl2_closed notification.
* VFS-1126 Implement {active, once | true}.
* VFS-1126 Add a client-server communication test.
* VFS-1126 Implement server-side handshake with certificates.
* VFS-1126 Connect listen and accept to Erlang.
* VFS-1126 Fix to workaround Clang generic lambdas bug.
* VFS-1126 Remove dependency on Boost.Coroutine.
* VFS-1126 Implement accept feature.
* VFS-1126 Implement recv functions.
* VFS-1126 Test send notifications.
* VFS-1126 Convert the project to a library application.
* VFS-1126 Implement send feature.
* VFS-1126 Implement connection feature.
* VFS-1126 Generate an Erlang project.
* VFS-1126 Add an empty TlsSocket test file.
* VFS-1126 Implement a basic test server.
* VFS-1126 Add a license file and template source file contents.
* VFS-1126 Add copyright headers and clang-format file.
* VFS-1126 Create initial C++ project structure.


________

Generated by sr-release. 
